Fish_TorpedoRankShortlistedCFG = {}

function Fish_TorpedoRankShortlistedCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_TorpedoRankShortlistedCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, TorpedoId = 23, RankType = 0, EntryScore = 33000, RewardList = {1}, RewardCount = {10000}, LuckyLimitScore = 33000, SadLimitScore = 25000}
	self.datas[2] = {ID = 2, TorpedoId = 24, RankType = 1, EntryScore = 110000, RewardList = {1}, RewardCount = {50000}, LuckyLimitScore = 110000, SadLimitScore = 75000}
	self.datas[3] = {ID = 3, TorpedoId = 25, RankType = 2, EntryScore = 480000, RewardList = {1}, RewardCount = {100000}, LuckyLimitScore = 480000, SadLimitScore = 300000}
	self.datas[4] = {ID = 4, TorpedoId = 26, RankType = 3, EntryScore = 1200000, RewardList = {1}, RewardCount = {200000}, LuckyLimitScore = 1200000, SadLimitScore = 800000}
	self.datas[5] = {ID = 5, TorpedoId = 27, RankType = 4, EntryScore = 4800000, RewardList = {1}, RewardCount = {500000}, LuckyLimitScore = 4800000, SadLimitScore = 3600000}
end

Fish_TorpedoRankShortlistedCFG:init()
